#include <cstdlib>
#include <iostream>
using namespace std;

#include "Car.h"
#include "Passenger.h"

int main() 
{
  Passenger chris("Chris");
  Passenger bob("Bob");
  Passenger debbie("Debbie");
  Passenger cindy("Cindy");
  Passenger stewart("Stewart");
  Passenger angela("Angela");

  Car yoda;
  
  yoda.AddPassenger(chris);
  yoda.AddPassenger(bob);
  yoda.AddPassenger(debbie);
  
  cout << "Who's in the car \'yoda\'?" << endl;
  cout << yoda << endl;

  Car r2d2(yoda);

  cout << "\'r2d2\' is a copy of yoda" << endl;
  cout << r2d2 << endl;

  //exit(0);

  cout << "Add \'stewart\' to \'yoda\'."
       << endl << endl;

  yoda.AddPassenger(stewart);

  cout << "Here\'s who is in \'r2d2\' now:" << endl;
  cout << r2d2 << endl;

  //exit(0);

  cout << "Assigning \'yoda\' to \'r2d2\'." << endl;
  r2d2 = yoda;

  cout << "Here\'s who is in \'r2d2\' now:" << endl;
  cout << r2d2 << endl;

  // exit(0);

  cout << "What happens if I copy \'r2d2\' to itself?" << endl;

  r2d2 = r2d2;
  cout << r2d2 << endl;


}
  
