#ifndef CAR_H
#define CAR_H

#include "Passenger.h"

class Car {

 public:
  Car();
  Car(string make, string model, int seats);
  Car(const Car& car);
  void AddPassenger(Passenger passenger);
  friend ostream& operator <<(ostream& sout, const Car car);
  Car& operator =(const Car& car);
  ~Car();

 private:
  string m_make;
  string m_model;
  int m_seats;
  int m_seatsTaken;
  Passenger *m_passengersPtr;
};




#endif
